package org.ajax4jsf.bean;

public class DropDownMenuTestBean {

    private String actionName = "";

    /**
     * Gets value of actionName field.
     * @return value of actionName field
     */
    public String getActionName() {
        return actionName;
    }

    /**
     * Set a new value for actionName field.
     * @param actionName a new value for actionName field
     */
    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

    public String doNew() {
        setActionName("New");
        return null;
    }

    public String doOpen() {
        setActionName("Open");
        return null;
    }

    public String doSave() {
        setActionName("Save");
        return null;
    }

    public String doSaveAll() {
        setActionName("Save All");
        return null;
    }

    public String doClose() {
        setActionName("Close");
        return null;
    }

    public String doExit() {
        setActionName("Exit");
        return null;
    }

}
